Page 1 of 3 123 LastLast
Results 1 to 10 of 21
Discuss Struggling to Virginize 1.0.2 (Installer)... at the iPhone "2G" (Rev. 1) - Hackint0sh.org; Oh wise ones, I am trying to Virginize my 1.0.2 so I can Pwnage to ...
  1. #1
    Rookie Array

    Join Date
    Sep 2007
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default Struggling to Virginize 1.0.2 (Installer)...

    Oh wise ones,
    I am trying to Virginize my 1.0.2 so I can Pwnage to either 1.1.4 or 2.0.2 on my 8Gb first gen iPhone.
    First off, I had previously upgraded (and therefore screwed) Installer - it would just crash each time I tried to launch it.
    So, I used iBrickr to re-install Installer over the top of the screwed one. I now have a fully working Installer 2.63 on my phone.
    However, when I go to Sources there is no "edit" and I can't find anywhere to add the i.unlock.no stuff and therefore cannot install the Virginizer stuff.
    I HAVE successfully installed the BSD Subsystem and Terminal.

    I must be being super-thick here somewhere...

    Any help would be gratefully received.

    Many thanks, Mark.



  2. #2
    Amazingly Knowledgeable Array rugburn's Avatar

    Join Date
    Aug 2007
    Posts
    965
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    69

    Default

    I think you need the Installer 1.1 version....when it ask to upgrade do not upgrade..

    Maybe try to reinstall 1.0.2 firmware and that should give you what you want.

    More reading here...

    http://www.hackint0sh.org/forum/show...ght=virginizer

    and

    http://www.hackint0sh.org/forum/show...ght=virginizer

    http://iphone.unlock.no/#how-to-virginize-easily

    enjoy

    ...
    Last edited by rugburn; 08-24-2008 at 05:07 PM.
    iPhone 1.0.2 OTB->Virginized->1.1.4 FW->Winpwn FW 2.0.1 Quickpwn 2.0.1 to FW 2.2.1->RedsnOw->3.0 FW itunes3.0.1FW->RedsnOw 8 to unlock->RedSnow 0.9.2 upgrade to 3.1.2->iPhone 2g 3.1.2 and as of July 30th,2010->iPhone 4-32GB & iPhone 4-16Gb->Unlocked

    Can someone give me a thumbs up click on Reputation ...thanks

    --------

  3. #3
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    I can't be much help but If you have openSSH look In: var/root/Library/Installer

    If I remember correctly you will find things like

    LocalPackages.plist
    PackageSources.plist
    TrustedSources.plist

    One of them mite allow manual entry of the i.unlock.no repo
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  4. #4
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Looking at some old files I've downloaded I just found this old virginator 0.4

    The requirement are only that you have the BSD Subsystem installed prior to running virginator.sh.

    HOW TO:

    1) Download the virginizer pack here:
    http://rapid$hare.com/files/64647223/virginizer_pack.zip.html
    2) Unzip it. This will create a directory called "virginizer_pack"
    3)) Put the file "virginator.sh" into the "virginizer_pack" directory.
    4) Copy the "virginizer_pack" directory to your iPhone.
    5) Use MobileTerminal or SSH to change to the "virginizer_pack" directory.
    6) Give "virginator.sh" permission to execute:
    chmod +x ./virginator.sh
    7) Execute virginator.sh and follow the prompts.
    ./virginator.sh

    NOTE: You must have the BSD Subsystem installed prior to running virginator.sh.
    If errors occur they will be saved in "error.log" in the virginizer_pack directory.
    WARNING: Don't rush into doing this before you get a second opinion but as you have BSD and terminal it mite be an option
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  5. #5
    Senior Professional Array

    Join Date
    Oct 2007
    Posts
    174
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Default

    You actually don't need to virginze if you upgrade to version 1.1.3 or newer. I did an upgrade for a buddy from 1.0.2 to 1.1.4 in the past without virginizing and it worked fine. You can simply upgrade to 2.0.1 with pwn.

    1. Run pwnage and build a new ipsw
    2. Put your phone into DFU when prompted to by pwnage
    3. Restore with your custom ipsw in iTunes
    4. Enjoy your pwned 2.0.1 iPhone

    It's really that easy.

    Edit: maybe you should try 1.1.4 first. Although there shouldn't be any problems going to 2.0+, I haven't personally tried it or heard of anyone sucessfully doing it.
    Last edited by tony604; 08-24-2008 at 06:38 PM.


  6. #6
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by tony604 View Post
    You actually don't need to virginze if you upgrade to version 1.1.3 or newer. I did an upgrade for a buddy from 1.0.2 to 1.1.4 in the past without virginizing and it worked fine. You can simply upgrade to 2.0.1 with pwn.

    1. Run pwnage and build a new ipsw
    2. Put your phone into DFU when prompted to by pwnage
    3. Restore with your custom ipsw in iTunes
    4. Enjoy your pwned 2.0.1 iPhone

    It's really that easy.

    Edit: maybe you should try 1.1.4 first. Although there shouldn't be any problems going to 2.0+, I haven't personally tried it or heard of anyone sucessfully doing it.
    I'd be careful. Even though I do know of users here having no problem when upgrading from a 1.0.2 iPhone that had been unlocked with AnySIM 1.0.2 to firmware 1.1.4, we do have lots of users ending with a brick (no IMEI, no ICCID and more).
    I'd try to get an old Installer on the iPhone, virginize and then upgrade/restore to custom 2.0.1 firmware.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  7. #7
    Rookie Array

    Join Date
    Sep 2007
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks for the replies guys.
    n350z, I have downloaded and SSH'd across the viginizer_pack, but it doesn't contain the shell script virginator.sh
    Do you know where I can get this from please?

    Many thanks again, Mark.

  8. #8
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  9. #9
    Rookie Array

    Join Date
    Sep 2007
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thank you.
    I have now installed the script into the directory on my phone.
    I have attempted to run this script on my phone (via terminal), but it cannot stop the CommCenter, it also does not create an Error Log.
    Do I need to be root to run this stuff?
    I cannot su to root on my phone (terminal), it says the password is incorrect (however it is not because I connect via Fugu SSH to the phone using it)? I don't understand why?
    Should I even be trying to do this stuff direct on my phone at all?

    Many thanks again, Mark.

  10. #10
    Senior Professional Array

    Join Date
    Oct 2007
    Posts
    174
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Default

    Quote Originally Posted by volkspost View Post
    I'd be careful. Even though I do know of users here having no problem when upgrading from a 1.0.2 iPhone that had been unlocked with AnySIM 1.0.2 to firmware 1.1.4, we do have lots of users ending with a brick (no IMEI, no ICCID and more).
    I'd try to get an old Installer on the iPhone, virginize and then upgrade/restore to custom 2.0.1 firmware.
    I've found the opposite. I've read more posts in the past here, and other places like
    http://www.tuaw.com/2008/01/17/happy...r-tuaw-reader/
    http://thedailymac.com/how-to-fix-re...on-the-iphone/
    Where people were actually updating to 1.1.3 to fix their bricks. Of course, the update did not fix all bricks, but I do recall reading more about people's experiences trying to fix bricks with 1.1.3, and not about 1.1.3 causing bricks from 1.0.2 upgrade. If there were lots of people bricking their phone from upgrading 1.0.2 to 11.3, I'm sure I would not have chanced the upgrade myself.
    Mind you, I probably haven't read as many pages as volkspost on hackint0sh so maybe I missed a lot of threads about people with upgrade problems.
    All I'm saying is doing a straight upgrade worked great for me as it did for many that I've read about(and likewise fixed many bad imei problems).


 

 
Page 1 of 3 123 LastLast

Similar Threads

  1. Replies: 0
    Last Post: 06-25-2010, 04:08 PM
  2. Replies: 4
    Last Post: 02-18-2009, 11:50 AM
  3. [1.0.2] Updated Installer Cant Virginize for 1.1.4
    By dippin in forum iPhone "2G" (Rev. 1)
    Replies: 8
    Last Post: 06-19-2008, 08:36 PM
  4. Replies: 1
    Last Post: 05-08-2008, 04:51 PM
  5. newb struggling with 1.1.2 upgrade
    By mrback in forum iPhone "2G" (Rev. 1)
    Replies: 1
    Last Post: 11-21-2007, 12:12 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 06:03 PM.
twitter, follow us!